ros-rolling-moveit-planners-chomp (2.13.0-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 15 Feb 2025 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.12.0-1noble) noble; urgency=high

  * Enhancement/use hpp for headers (#3113 <https://github.com/ros-planning/moveit2/issues/3113>)
  * Contributors: Tom Noble

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 29 Nov 2024 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.11.0-1noble) noble; urgency=high

  * Fix CHOMP segfault (#3621 <https://github.com/moveit/moveit2/issues/3621>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 16 Sep 2024 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.10.0-1noble) noble; urgency=high

  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Sebastian Jahr, Tyler Weaver

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 13 Jun 2024 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.9.0-1noble) noble; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Sebastian Jahr, Tyler Weaver

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 09 Jan 2024 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.8.0-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 10 Sep 2023 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.4-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 18 May 2023 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.3-1noble) noble; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Apr 2023 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.2-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 18 Apr 2023 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.1-1noble) noble; urgency=high

  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Mar 2023 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.7.0-1noble) noble; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Cleanup lookup of planning pipelines in MoveItCpp (#1710 <https://github.com/ros-planning/moveit2/issues/1710>)
    * Revert "Add planner configurations to CHOMP and PILZ (#1522 <https://github.com/ros-planning/moveit2/issues/1522>)"
    * Cleanup lookup of planning pipelines
    Remove MoveItCpp::getPlanningPipelineNames(), which was obviously intended initially to provide a planning-group-based filter for all available planning pipelines: A pipeline was discarded for a group, if there were no planner_configs defined for that group on the parameter server.
    As pointed out in #1522 <https://github.com/ros-planning/moveit2/issues/1522>, only OMPL actually explicitly declares planner_configs on the parameter server.
    To enable all other pipelines as well (and thus circumventing the original filter mechanism), #1522 <https://github.com/ros-planning/moveit2/issues/1522> introduced empty dummy planner_configs for all other planners as well (CHOMP + Pilz).
    This, obviously, renders the whole filter mechanism useless. Thus, here we just remove the function getPlanningPipelineNames() and the corresponding member groups_pipelines_map_.
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 29 Jan 2023 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.6.0-1noble) noble; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Add planner configurations to CHOMP and PILZ (#1522 <https://github.com/ros-planning/moveit2/issues/1522>)
  * Contributors: Sebastian Jahr

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 10 Nov 2022 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.3-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 28 Jul 2022 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.2-1noble) noble; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Jafar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 18 Jul 2022 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.1-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 31 May 2022 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.5.0-1noble) noble; urgency=high

  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit2/issues/2955>)
  * Move MoveItErrorCode class to moveit_core (#3009 <https://github.com/ros-planning/moveit2/issues/3009>)
  * Merge PRs #2948 <https://github.com/ros-planning/moveit2/issues/2948> (improve CI) and #2949 <https://github.com/ros-planning/moveit2/issues/2949> (simplify ROS .test files)
  * Use test_environment.launch in unittests
  * Contributors: Abishalini, AndyZe, Cory Crean, Jafar, Jafar Abdi, Rick Staa, Robert Haschke, jeoseo

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 26 May 2022 04:00:00 -0000

ros-rolling-moveit-planners-chomp (2.4.0-1noble) noble; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.3.2-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 29 Dec 2021 05:00:00 -0000

ros-rolling-moveit-planners-chomp (2.3.1-1noble) noble; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, andreas-botbuilt, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Dec 2021 05:00:00 -0000

ros-rolling-moveit-planners-chomp (1.1.1-1noble) noble; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Oct 2020 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.1.0-1noble) noble; urgency=high

  * [feature] Replace $(find xacro)/xacro -> xacro (#2282 <https://github.com/ros-planning/moveit/issues/2282>)
  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Change API of ChompPlanner::solve() to not use message
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Small fixes to chomp planner (#1407 <https://github.com/ros-planning/moveit/issues/1407>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Add Missing License (#1779 <https://github.com/ros-planning/moveit/issues/1779>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Chittaranjan Srinivas Swaminathan, Dave Coleman, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yoan Mollard

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Sep 2020 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.6-1noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Aug 2020 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.5-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Jul 2020 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.4-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 30 May 2020 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.3-1noble) noble; urgency=high

  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 26 Apr 2020 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.2-1noble) noble; urgency=high

  * [fix] Fix chomp planner (#1512 <https://github.com/ros-planning/moveit/issues/1512>)
    * Fix start-state handling
    * remove time parameterization from planning code
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jun 2019 04:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.1-1noble) noble; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 08 Mar 2019 05:00:00 -0000

ros-rolling-moveit-planners-chomp (1.0.0-1noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 24 Feb 2019 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.8-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 24 Dec 2018 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.7-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 13 Dec 2018 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.6-1noble) noble; urgency=high

  * [maintenance] Rearranged CHOMP-related modules within moveit_planners/chomp (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 09 Dec 2018 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.5-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 01 Nov 2018 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.4-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.3-1noble) noble; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 29 Oct 2018 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.2-1noble) noble; urgency=high

  * [fix] chomp tests: fix order of moveit includes (#970 <https://github.com/ros-planning/moveit/issues/970>)
  * [fix] needs to depend on cmake_modules. (#976 <https://github.com/ros-planning/moveit/issues/976>)
  * [capability][chomp] Failure recovery options for CHOMP by tweaking parameters (#987 <https://github.com/ros-planning/moveit/issues/987>)
  * [capability][chomp] cleanup of unused parameters and code + addition of trajectory initialization methods (linear, cubic, quintic-spline) (#960 <https://github.com/ros-planning/moveit/issues/960>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Chris Lalancette, Michael Görner, Mikael Arguedas, Raghavender Sahdev, Robert Haschke

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 24 Oct 2018 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.10.1-1noble) noble; urgency=high

  * [fix] dependencies for chomp interface test (#778 <https://github.com/ros-planning/moveit/issues/778>)
  * [maintenance] MoveIt tf2 migration (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Contributors: Bence Magyar, Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Stephan, Will Baker

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 25 May 2018 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.11-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 25 Dec 2017 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.10-1noble) noble; urgency=high

  * [package.xml] Update maintainers (Add a release-maintainer etc.)
    For the reasoning, see https://github.com/ros-planning/moveit/issues/259
  * Contributors: Isaac I.Y. Saito

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 09 Dec 2017 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.9-1noble) noble; urgency=high

  * [improve] Chomp use PlanningScene (#546 <https://github.com/ros-planning/moveit/issues/546>) to partially address #305 <https://github.com/ros-planning/moveit/issues/305>
  * Contributors: Simon Schmeisser

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 06 Aug 2017 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.8-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 21 Jun 2017 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.7-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 05 Jun 2017 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.6-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 Apr 2017 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.5-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 08 Mar 2017 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.4-1noble) noble; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 06 Feb 2017 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.3-1noble) noble; urgency=high

  * Merge pull request #330 <https://github.com/ros-planning/moveit/issues/330> from davetcoleman/kinetic-package.xml
    Updated package.xml maintainers and author emails
  * Updated package.xml maintainers and author emails
  * Contributors: Dave Coleman, Ian McMahon

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 16 Nov 2016 05:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.2-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 05 Nov 2016 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.9.0-1noble) noble; urgency=high

  * Replace broken Eigen3 with correctly spelled EIGEN3 (#254 <https://github.com/ros-planning/moveit/issues/254>)
    * Fix Eigen3 dependency throughout packages
    * Eigen 3.2 does not provide EIGEN3_INCLUDE_DIRS, only EIGEN3_INCLUDE_DIR
  * Use shared_ptr typedefs in collision_distance_field and chomp.
  * Fix CHOMP planner and CollisionDistanceField (#155 <https://github.com/ros-planning/moveit/issues/155>)
    * Copy collision_distance_field package
    * Resurrect chomp
    * remove some old Makefiles and manifests
    * Correct various errors
    * Code formatting, author, description, version, etc
    * Add definitions for c++11. Nested templates problem.
    * Add name to planner plugin.
    * Change getJointModels to getActiveJointModels.
    * Call robot_state::RobotState::update in setRobotStateFromPoint.
    * Create README.md
    * Improve package.xml, CMake config and other changes suggested by jrgnicho.
    * Remove some commented code, add scaling factors to computeTimeStampes
    * Add install targets in moveit_experimental and chomp
    * Add install target for headers in chomp pkgs.
    * Remove unnecessary debugging ROS_INFO.
    * Port collision_distance_field test to indigo.
    * Remove one assertion that makes collision_distance_field test to fail.
  * Contributors: Chittaranjan Srinivas Swaminathan, Dave Coleman, Maarten de Vries

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 19 Oct 2016 04:00:00 -0000

ros-rolling-moveit-planners-chomp (0.8.3-1noble) noble; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 21 Aug 2016 04:00:00 -0000


